Job Groups
List Jobs in Group
Retrieve all (non-deleted) jobs in the group.
Authorizations
X-API-KEYstringheaderrequiredAuthenticate requests using an API key linked to your qBraid account. Obtain your key by registering or logging in at account.qbraid.com.
Path Parameters
group_qrnstringrequiredThe group qrn (qBraid Resource Name).
Response
200Success.
successbooleanrequireddataobject[]required404Group not found.
curl --request GET \
--url https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn}/jobs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn}/jobs"
headers = {
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api-v2.qbraid.com/api/v1/jobs/group/{group_qrn}/jobs";
const options = {
method: "GET",
headers: {"X-API-KEY":"<api-key>"},
};
const response = await fetch(url, options);
console.log(await response.json());{
"success": true,
"data": [
{
"name": "<string>",
"shots": 123,
"deviceQrn": "<string>",
"tags": {},
"runtimeOptions": {},
"jobQrn": "<string>",
"batchJobQrn": "<string>",
"vendor": "aws",
"provider": "aqt",
"status": "<string>",
"statusMsg": "<string>",
"experimentType": "<string>",
"queuePosition": 123,
"timeStamps": {
"createdAt": "2024-01-01T00:00:00Z",
"endedAt": "2024-01-01T00:00:00Z",
"executionDuration": 123
},
"cost": 123,
"estimatedCost": 123,
"metadata": {}
}
]
}{
"success": false,
"message": "<string>",
"error": {
"message": "<string>",
"code": "<string>"
}
}GET
List jobs in a group
List jobs in a group
Response
Fill in the request and press Send to see the live response.Was this page helpful?
Thanks for your feedback.

